Update Invoice record (v1)
Update an existing Invoice record with the provided data. Validates all required fields and business rules.
curl --request PUT \
--url https://api.dualentry.com/public/v1/invoices/{record_number}/ \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"date": "2023-12-25",
"transaction_date": "2023-12-25",
"bill_to_address": "",
"ship_to_address": "",
"billing_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"shipping_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"custom_fields": [
{}
],
"items": [
{
"item_id": 123,
"quantity": 123,
"rate": 123,
"position": 123,
"memo": "<string>",
"discount_value": 123,
"discount_account_id": 123,
"record_level_discount_amount": 123,
"tax": {
"code": "<string>",
"rate": 123,
"amount": 123,
"is_taxable": true,
"tax_exempt_amount": 123,
"vat_rate_id": 123,
"gst_tax_rate_id": 123
},
"id": 123,
"classifications": [],
"company_id": 123
}
],
"discount_value": 123,
"memo": "<string>",
"due_date": "2023-12-25",
"company_id": 123,
"customer_id": 123,
"exchange_rate": 123,
"sales_order_id": 123,
"record_status": "posted",
"attachments": [],
"contracted": false,
"contract_id": 123,
"term_id": 123,
"reference_number": "",
"ar_account_id": 123,
"payment": {
"type": "<string>",
"id": 123,
"body": "<string>",
"link": "<string>"
}
}
'import requests
url = "https://api.dualentry.com/public/v1/invoices/{record_number}/"
payload = {
"date": "2023-12-25",
"transaction_date": "2023-12-25",
"bill_to_address": "",
"ship_to_address": "",
"billing_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"shipping_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"custom_fields": [{}],
"items": [
{
"item_id": 123,
"quantity": 123,
"rate": 123,
"position": 123,
"memo": "<string>",
"discount_value": 123,
"discount_account_id": 123,
"record_level_discount_amount": 123,
"tax": {
"code": "<string>",
"rate": 123,
"amount": 123,
"is_taxable": True,
"tax_exempt_amount": 123,
"vat_rate_id": 123,
"gst_tax_rate_id": 123
},
"id": 123,
"classifications": [],
"company_id": 123
}
],
"discount_value": 123,
"memo": "<string>",
"due_date": "2023-12-25",
"company_id": 123,
"customer_id": 123,
"exchange_rate": 123,
"sales_order_id": 123,
"record_status": "posted",
"attachments": [],
"contracted": False,
"contract_id": 123,
"term_id": 123,
"reference_number": "",
"ar_account_id": 123,
"payment": {
"type": "<string>",
"id": 123,
"body": "<string>",
"link": "<string>"
}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
date: '2023-12-25',
transaction_date: '2023-12-25',
bill_to_address: '',
ship_to_address: '',
billing_address: {
street: '<string>',
city: '<string>',
postal_code: '<string>',
state: '',
country: '',
second_line: '',
name: '<string>'
},
shipping_address: {
street: '<string>',
city: '<string>',
postal_code: '<string>',
state: '',
country: '',
second_line: '',
name: '<string>'
},
custom_fields: [{}],
items: [
{
item_id: 123,
quantity: 123,
rate: 123,
position: 123,
memo: '<string>',
discount_value: 123,
discount_account_id: 123,
record_level_discount_amount: 123,
tax: {
code: '<string>',
rate: 123,
amount: 123,
is_taxable: true,
tax_exempt_amount: 123,
vat_rate_id: 123,
gst_tax_rate_id: 123
},
id: 123,
classifications: [],
company_id: 123
}
],
discount_value: 123,
memo: '<string>',
due_date: '2023-12-25',
company_id: 123,
customer_id: 123,
exchange_rate: 123,
sales_order_id: 123,
record_status: 'posted',
attachments: [],
contracted: false,
contract_id: 123,
term_id: 123,
reference_number: '',
ar_account_id: 123,
payment: {type: '<string>', id: 123, body: JSON.stringify('<string>'), link: '<string>'}
})
};
fetch('https://api.dualentry.com/public/v1/invoices/{record_number}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bill_to_address": "<string>",
"ship_to_address": "<string>",
"term_id": 123,
"term_name": "<string>",
"transaction_ids": [
123
],
"internal_id": 123,
"number": 123,
"items": [
{
"id": 123,
"item_id": 123,
"quantity": "<string>",
"rate": "<string>",
"position": 123,
"memo": "<string>",
"net_amount": "<string>",
"tax_amount": "<string>",
"gross_amount": "<string>",
"amount": "<string>",
"discount_amount": "<string>",
"classifications": [],
"item_type": "<string>",
"hsn_sac_code": "<string>",
"discount_value": "<string>",
"discount_account_id": 123,
"record_level_discount_amount": "<string>",
"tax": {
"code": "<string>",
"rate": "<string>",
"amount": "<string>",
"is_taxable": true,
"tax_exempt_amount": "<string>",
"vat_rate_id": 123,
"gst_tax_rate_id": 123,
"tax_components": [
{
"rate": "<string>",
"amount": "<string>",
"position": 123,
"region": "<string>"
}
],
"amount_with_tax": "<string>",
"rate_name": "<string>",
"rate_type": "<string>",
"tax_treatment": "<string>"
},
"company_id": 123
}
],
"company_id": 123,
"company_name": "<string>",
"company_currency": "<string>",
"customer_id": 123,
"exchange_rate": "<string>",
"amount": "<string>",
"amount_due": "<string>",
"paid_total": "<string>",
"amount_due_updated_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"date": "2023-12-25",
"transaction_date": "2023-12-25",
"due_date": "2023-12-25",
"recurring_record_number": 123,
"reference_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"billing_address": {
"street": "<string>",
"second_line": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"name": "<string>"
},
"shipping_address": {
"street": "<string>",
"second_line": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"name": "<string>"
},
"custom_fields": [],
"customer_name": "<string>",
"attachments": [],
"payment": {
"type": "<string>",
"id": 123,
"body": "<string>",
"link": "<string>"
},
"bank_match_status": "<string>",
"reconciliation_status": "<string>",
"created_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"updated_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"approval_status": "<string>",
"next_approvers": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>",
"avatar_url": "<string>"
}
],
"rejected_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>",
"rejection_reason": "<string>"
}
}{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}Authorizations
Path Parameters
The number attribute of the record.
Body
Deprecated: send the structured billing_address / shipping_address instead.
Deprecated: send the structured billing_address / shipping_address instead.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
PERCENTAGE, FIXED AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLF, CLP, CNY, COP, CRC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VES, VND, VUV, WST, XAF, XAG, XAU, XCD, XDR, XOF, XPD, XPF, XPT, YER, ZAR, ZMW, ZWL draft, posted, archived Show child attributes
Show child attributes
Schema for payment collection configuration input (matches frontend structure).
Show child attributes
Show child attributes
Response
OK
Deprecated: send the structured billing_address / shipping_address instead.
Deprecated: send the structured billing_address / shipping_address instead.
Show child attributes
Show child attributes
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLF, CLP, CNY, COP, CRC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VES, VND, VUV, WST, XAF, XAG, XAU, XCD, XDR, XOF, XPD, XPF, XPT, YER, ZAR, ZMW, ZWL ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$Total amount of transaction
^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$Amount to be paid
^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$Amount that was already paid by Customer Repayment Applications or Customer Payments
^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$Timestamp of the most recent change that could have affected amount_due. Moves whenever the invoice itself is edited, or whenever a posted Customer Payment or Customer Prepayment Application referencing this invoice is written.
Posting date (GL date) - the date when the transaction is recorded in the general ledger
Transaction date (inception date) - the date when the transaction actually occurred
draft, posted, archived Date and time the record was created
Date and time the record was last updated
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Schema for payment collection configuration output.
Show child attributes
Show child attributes
Schema for audit actor information.
Show child attributes
Show child attributes
Schema for audit actor information.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Schema for rejector information including rejection reason.
Show child attributes
Show child attributes
Was this page helpful?
